Subject: Re: [PATCH 7/9] sock, cgroup: add sock->sk_cgroup

From: Daniel Wagner <[email-masked]>
Date: Mon, 23 Nov 2015 14:02:03 +0100

Hi Tejun,

On 11/21/2015 05:13 PM, Tejun Heo wrote:
> Signed-off-by: Tejun Heo <[email-masked]>
> Cc: Daniel Borkmann <[email-masked]>
> Cc: Daniel Wagner <[email-masked]>

I did a quick test and for new connection the cgroup2 match worked as
expected. For an existing connection I wasn't able to trigger the match.

It is quite likely I do something wrong:

	ssh into the box
	# mkdir /sys/fs/cgroup/test
	# echo $$ > /sys/fs/cgroup/test/cgroup.procs
	# echo $PPID > /sys/fs/cgroup/test/cgroup.procs
	# iptables -A OUTPUT -m cgroup --path test

Should I see matches with the existing ssh session?

cheers,
daniel